ioctl VIDIOC_ENUMAUDIO
&manvol;

# VIDIOC_ENUMAUDIO

Enumerate audio inputs

    	int ioctl
    	int fd
    	int request
    	struct v4l2_audio *argp

## Arguments

`fd`

  &fd;

`request`

  VIDIOC_ENUMAUDIO

`argp`

## Description

To query the attributes of an audio input applications initialize the index field and zero out the reserved array of a &v4l2-audio; and call the `VIDIOC_ENUMAUDIO` ioctl with a pointer to this structure. Drivers fill the rest of the structure or return an &EINVAL; when the index is out of bounds. To enumerate all audio inputs applications shall begin at index zero, incrementing by one until the driver returns EINVAL.

See for a description of &v4l2-audio;.

&return-value;

EINVAL

  The number of the audio input is out of bounds.